# Contributing to CompreFace
Contributions are welcomed and greatly appreciated. We want to make contributing to this project as easy and transparent as possible, whether it's:
- Reporting a bug
- Proposing new features
- Discussing the current state of the code
- Submitting a fix or solutions
- Integrating CompreFace with other solutions
- Adding plugins to face recognition services

## We develop with GitHub
We use GitHub to host code, to track issues and feature requests, as well as accept pull requests.

## We use GitHub Flow
All code changes happen through Pull Requests.

Pull requests are the best way to propose changes to the codebase (please follow this guid [Github Flow](https://guides.github.com/introduction/flow/index.html)).

We actively welcome your pull requests:
1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. Issue that pull request!

After creating your first contributing pull request, you will receive a request to sign our Contributor License Agreement by commenting your pull request with a special message.

## Any contributions you make will be under the Apache License 2.0 License
In short, when you submit code changes, your submissions are understood to be under the same Apache License 2.0 that covers the project. Feel free to contact the maintainers if that's a concern.

## Report Bugs

Please report any bugs [here](https://github.com/exadel-inc/CompreFace/issues).

If you are reporting a bug, please specify:

- Your operating system name and version
- Any details about your local setup that might be helpful in troubleshooting
- Detailed steps to reproduce the bug


## Submit Feedback

The best way to send us feedback is to file an issue at https://github.com/exadel-inc/CompreFace/issues.

If you are proposing a feature, please:

- Explain in detail how it should work.
- Keep the scope as narrow as possible to make it easier to implement.

## Use a Consistent Coding Style

For java just import dev/team_codestyle.xml file in your IntelliJ IDEA.
